源码编译PHP时,出现“error: Please reinstall the libzip distribution”错误

安装中遇到的问题

安装中遇到的问题

在运行 ./configure 时,提示: Please reinstall the libzip distribution 是因为 libzip 版本过低,编译升级

先卸载了原先的 libzip

yum remove libzip

# 下载 libzip 源码(去网站选择合适的版本)

官网下载地址: https://libzip.org/download/

wget https://libzip.org/download/libzip-1.5.2.tar.gz

# 解压

tar -zxvf libzip-1.5.2.tar.gz

cd libzip-1.5.2

mkdir build

cd build

cmake ..

make

make test

make install

#在安装完新版的 libzip 时可能会出现打不到 zipconf.h,手动复制一下 

cp /usr/local/lib/libzip/include/zipconf.h /usr/local/include/zipconf.h